Package org.h2.tools

# Class ConvertTraceFile

java.lang.Object
org.h2.util.Tool
org.h2.tools.ConvertTraceFile

public class ConvertTraceFile extends Tool
Converts a .trace.db file to a SQL script and Java source code. SQL statement statistics are listed as well.

## Field Summary

### Fields inherited from class org.h2.util.Tool

`out`

## Constructor Summary

Constructors
Constructor
Description
`ConvertTraceFile()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... args)`
Options are case sensitive.
`void`
`runTool(String... args)`
Run the tool with the given output stream and arguments.

### Methods inherited from class org.h2.util.Tool

`getMainClassName, isOption, printNoDatabaseFilesFound, setOut, showUsage, showUsageAndThrowUnsupportedOption, throwUnsupportedOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConvertTraceFile

public ConvertTraceFile()

## Method Details

### main

public static void main(String... args) throws SQLException
Options are case sensitive.

Supported options
[-help] or [-?] | Print the list of options
[-traceFile <file>] | The trace file name (default: test.trace.db)
[-script <file>] | The script file name (default: test.sql)
[-javaClass <file>] | The Java directory and class file name (default: Test)

Parameters:
  `args` - the command line arguments
Throws:
  `SQLException` - on failure

### runTool

public void runTool(String... args) throws SQLException
Description copied from class: `Tool`
Run the tool with the given output stream and arguments.

Specified by:
  `runTool` in class `Tool`
Parameters:
  `args` - the argument list
Throws:
  `SQLException` - on failure